Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 183141 - gthumb cannot save rotated photos
Summary: gthumb cannot save rotated photos
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gthumb
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Carl Worth
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-02-26 23:14 UTC by Rik van Riel
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-02 19:22:26 UTC


Attachments (Terms of Use)

Description Rik van Riel 2006-02-26 23:14:19 UTC
Description of problem:

gthumb refuses to save rotated photos back to the original file name, with an
error message that it cannot write to the file - despite the file and directory
being writable

Version-Release number of selected component (if applicable):

gthumb-2.7.3-1

Steps to Reproduce:
1. copy photos from camera into directory
2. gthumb .
3. select photo, try to rotate it (fails from index, need to view photo)
4. view photo, then rotate it
5. try to save it (fails)

Expected results:

gthumb is able to perform the functions shown in the menu

Additional info:

Comment 1 Rik van Riel 2006-02-26 23:19:51 UTC
Hmmm, things work if I pick the "rotate images" function from the menu bar. 
Individually rotated images (Image -> Transform -> Rotate N) are the ones that
cause problems.  Strange...

Comment 2 Matthias Clasen 2006-03-01 15:02:02 UTC
Odd, but hardly a blocker

Comment 3 Matthias Clasen 2006-03-01 15:06:52 UTC
Filed upstream: http://bugzilla.gnome.org/show_bug.cgi?id=333004

Comment 4 Ray Strode [halfline] 2006-03-02 19:22:26 UTC
Should be fixed in tomorrow's rawhide.


Note You need to log in before you can comment on or make changes to this bug.